Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle
Enum StartParameter.ShowStacktrace

    java.lang.Object
      java.lang.Enum<StartParameter.ShowStacktrace>
          org.gradle.StartParameter.ShowStacktrace

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StartParameter.ShowStacktrace>

Enclosing class:
  StartParameter

    public static enum StartParameter.ShowStacktrace

extends java.lang.Enum<StartParameter.ShowStacktrace>

Enum Constant Summary
`ALWAYS`
`ALWAYS_FULL`
`INTERNAL_EXCEPTIONS`

Method Summary
`static StartParameter.ShowStacktrace` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StartParameter.ShowStacktrace[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTERNAL_EXCEPTIONS

    public static final StartParameter.ShowStacktrace INTERNAL_EXCEPTIONS

### ALWAYS

    public static final StartParameter.ShowStacktrace ALWAYS

### ALWAYS_FULL

    public static final StartParameter.ShowStacktrace ALWAYS_FULL

Method Detail

### values

    public static final StartParameter.ShowStacktrace[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StartParameter.ShowStacktrace c : StartParameter.ShowStacktrace.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StartParameter.ShowStacktrace valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD